/*
 * Internal module API header file.
 *
 * Generated by SIP 6.10.0
 *
 * Copyright (c) 2024 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQtPurchasing.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtPurchasingAPI_H
#define _QtPurchasingAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_CONSTEXPR
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QInAppTransaction__TransactionStatus 0
#define sipName_QInAppTransaction__TransactionStatus &sipStrings_QtPurchasing[0]
#define sipNameNr_QInAppTransaction__FailureReason 37
#define sipName_QInAppTransaction__FailureReason &sipStrings_QtPurchasing[37]
#define sipNameNr_PYQT_PURCHASING_VERSION_STR 70
#define sipName_PYQT_PURCHASING_VERSION_STR &sipStrings_QtPurchasing[70]
#define sipNameNr_QInAppProduct__ProductType 98
#define sipName_QInAppProduct__ProductType &sipStrings_QtPurchasing[98]
#define sipNameNr_QTPURCHASING_VERSION_STR 125
#define sipName_QTPURCHASING_VERSION_STR &sipStrings_QtPurchasing[125]
#define sipNameNr_PYQT_PURCHASING_VERSION 150
#define sipName_PYQT_PURCHASING_VERSION &sipStrings_QtPurchasing[150]
#define sipNameNr_QTPURCHASING_VERSION 174
#define sipName_QTPURCHASING_VERSION &sipStrings_QtPurchasing[174]
#define sipNameNr_setPlatformProperty 195
#define sipName_setPlatformProperty &sipStrings_QtPurchasing[195]
#define sipNameNr_PyQt5_QtPurchasing 215
#define sipName_PyQt5_QtPurchasing &sipStrings_QtPurchasing[215]
#define sipNameNr_QInAppTransaction 234
#define sipName_QInAppTransaction &sipStrings_QtPurchasing[234]
#define sipNameNr_TransactionStatus 19
#define sipName_TransactionStatus &sipStrings_QtPurchasing[19]
#define sipNameNr_productRegistered 252
#define sipName_productRegistered &sipStrings_QtPurchasing[252]
#define sipNameNr_registeredProduct 270
#define sipName_registeredProduct &sipStrings_QtPurchasing[270]
#define sipNameNr_PurchaseApproved 288
#define sipName_PurchaseApproved &sipStrings_QtPurchasing[288]
#define sipNameNr_PurchaseRestored 305
#define sipName_PurchaseRestored &sipStrings_QtPurchasing[305]
#define sipNameNr_disconnectNotify 322
#define sipName_disconnectNotify &sipStrings_QtPurchasing[322]
#define sipNameNr_platformProperty 339
#define sipName_platformProperty &sipStrings_QtPurchasing[339]
#define sipNameNr_restorePurchases 356
#define sipName_restorePurchases &sipStrings_QtPurchasing[356]
#define sipNameNr_transactionReady 373
#define sipName_transactionReady &sipStrings_QtPurchasing[373]
#define sipNameNr_registerProduct 390
#define sipName_registerProduct &sipStrings_QtPurchasing[390]
#define sipNameNr_CanceledByUser 406
#define sipName_CanceledByUser &sipStrings_QtPurchasing[406]
#define sipNameNr_PurchaseFailed 421
#define sipName_PurchaseFailed &sipStrings_QtPurchasing[421]
#define sipNameNr_productUnknown 436
#define sipName_productUnknown &sipStrings_QtPurchasing[436]
#define sipNameNr_ErrorOccurred 451
#define sipName_ErrorOccurred &sipStrings_QtPurchasing[451]
#define sipNameNr_FailureReason 56
#define sipName_FailureReason &sipStrings_QtPurchasing[56]
#define sipNameNr_QInAppProduct 465
#define sipName_QInAppProduct &sipStrings_QtPurchasing[465]
#define sipNameNr_connectNotify 325
#define sipName_connectNotify &sipStrings_QtPurchasing[325]
#define sipNameNr_failureReason 479
#define sipName_failureReason &sipStrings_QtPurchasing[479]
#define sipNameNr_ProductType 113
#define sipName_ProductType &sipStrings_QtPurchasing[113]
#define sipNameNr_QInAppStore 493
#define sipName_QInAppStore &sipStrings_QtPurchasing[493]
#define sipNameNr_customEvent 505
#define sipName_customEvent &sipStrings_QtPurchasing[505]
#define sipNameNr_description 517
#define sipName_description &sipStrings_QtPurchasing[517]
#define sipNameNr_errorString 529
#define sipName_errorString &sipStrings_QtPurchasing[529]
#define sipNameNr_eventFilter 541
#define sipName_eventFilter &sipStrings_QtPurchasing[541]
#define sipNameNr_productType 553
#define sipName_productType &sipStrings_QtPurchasing[553]
#define sipNameNr_Consumable 565
#define sipName_Consumable &sipStrings_QtPurchasing[565]
#define sipNameNr_Unlockable 576
#define sipName_Unlockable &sipStrings_QtPurchasing[576]
#define sipNameNr_childEvent 587
#define sipName_childEvent &sipStrings_QtPurchasing[587]
#define sipNameNr_identifier 598
#define sipName_identifier &sipStrings_QtPurchasing[598]
#define sipNameNr_timerEvent 609
#define sipName_timerEvent &sipStrings_QtPurchasing[609]
#define sipNameNr_NoFailure 620
#define sipName_NoFailure &sipStrings_QtPurchasing[620]
#define sipNameNr_timestamp 630
#define sipName_timestamp &sipStrings_QtPurchasing[630]
#define sipNameNr_finalize 640
#define sipName_finalize &sipStrings_QtPurchasing[640]
#define sipNameNr_purchase 649
#define sipName_purchase &sipStrings_QtPurchasing[649]
#define sipNameNr_Unknown 443
#define sipName_Unknown &sipStrings_QtPurchasing[443]
#define sipNameNr_orderId 658
#define sipName_orderId &sipStrings_QtPurchasing[658]
#define sipNameNr_product 666
#define sipName_product &sipStrings_QtPurchasing[666]
#define sipNameNr_parent 674
#define sipName_parent &sipStrings_QtPurchasing[674]
#define sipNameNr_status 681
#define sipName_status &sipStrings_QtPurchasing[681]
#define sipNameNr_event 688
#define sipName_event &sipStrings_QtPurchasing[688]
#define sipNameNr_price 694
#define sipName_price &sipStrings_QtPurchasing[694]
#define sipNameNr_title 700
#define sipName_title &sipStrings_QtPurchasing[700]

#define sipMalloc                   sipAPI_QtPurchasing->api_malloc
#define sipFree                     sipAPI_QtPurchasing->api_free
#define sipBuildResult              sipAPI_QtPurchasing->api_build_result
#define sipCallMethod               sipAPI_QtPurchasing->api_call_method
#define sipCallProcedureMethod      sipAPI_QtPurchasing->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtPurchasing->api_call_error_handler
#define sipParseResultEx            sipAPI_QtPurchasing->api_parse_result_ex
#define sipParseResult              sipAPI_QtPurchasing->api_parse_result
#define sipParseArgs                sipAPI_QtPurchasing->api_parse_args
#define sipParseKwdArgs             sipAPI_QtPurchasing->api_parse_kwd_args
#define sipParsePair                sipAPI_QtPurchasing->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtPurchasing->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtPurchasing->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtPurchasing->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtPurchasing->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtPurchasing->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtPurchasing->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtPurchasing->api_add_exception
#define sipNoFunction               sipAPI_QtPurchasing->api_no_function
#define sipNoMethod                 sipAPI_QtPurchasing->api_no_method
#define sipAbstractMethod           sipAPI_QtPurchasing->api_abstract_method
#define sipBadClass                 sipAPI_QtPurchasing->api_bad_class
#define sipBadCatcherResult         sipAPI_QtPurchasing->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtPurchasing->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtPurchasing->api_bad_operator_arg
#define sipTrace                    sipAPI_QtPurchasing->api_trace
#define sipTransferBack             sipAPI_QtPurchasing->api_transfer_back
#define sipTransferTo               sipAPI_QtPurchasing->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtPurchasing->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtPurchasing->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtPurchasing->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtPurchasing->api_voidptr_type
#define sipGetPyObject              sipAPI_QtPurchasing->api_get_pyobject
#define sipGetAddress               sipAPI_QtPurchasing->api_get_address
#define sipGetMixinAddress          sipAPI_QtPurchasing->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtPurchasing->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtPurchasing->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtPurchasing->api_call_hook
#define sipEndThread                sipAPI_QtPurchasing->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtPurchasing->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtPurchasing->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtPurchasing->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtPurchasing->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtPurchasing->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtPurchasing->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtPurchasing->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtPurchasing->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtPurchasing->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtPurchasing->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtPurchasing->api_convert_to_bool
#define sipReleaseType              sipAPI_QtPurchasing->api_release_type
#define sipConvertFromType          sipAPI_QtPurchasing->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtPurchasing->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtPurchasing->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtPurchasing->api_convert_from_enum
#define sipGetState                 sipAPI_QtPurchasing->api_get_state
#define sipExportSymbol             sipAPI_QtPurchasing->api_export_symbol
#define sipImportSymbol             sipAPI_QtPurchasing->api_import_symbol
#define sipFindType                 sipAPI_QtPurchasing->api_find_type
#define sipBytes_AsChar             sipAPI_QtPurchasing->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtPurchasing->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtPurchasing->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtPurchasing->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtPurchasing->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtPurchasing->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtPurchasing->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtPurchasing->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtPurchasing->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtPurchasing->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtPurchasing->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtPurchasing->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtPurchasing->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_QtPurchasing->api_get_reference
#define sipKeepReference            sipAPI_QtPurchasing->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtPurchasing->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtPurchasing->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtPurchasing->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtPurchasing->api_type_scope
#define sipResolveTypedef           sipAPI_QtPurchasing->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtPurchasing->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtPurchasing->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtPurchasing->api_init_mixin
#define sipExportModule             sipAPI_QtPurchasing->api_export_module
#define sipInitModule               sipAPI_QtPurchasing->api_init_module
#define sipGetInterpreter           sipAPI_QtPurchasing->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtPurchasing->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtPurchasing->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtPurchasing->api_py_type_dict
#define sipPyTypeName               sipAPI_QtPurchasing->api_py_type_name
#define sipGetCFunction             sipAPI_QtPurchasing->api_get_c_function
#define sipGetMethod                sipAPI_QtPurchasing->api_get_method
#define sipFromMethod               sipAPI_QtPurchasing->api_from_method
#define sipGetDate                  sipAPI_QtPurchasing->api_get_date
#define sipFromDate                 sipAPI_QtPurchasing->api_from_date
#define sipGetDateTime              sipAPI_QtPurchasing->api_get_datetime
#define sipFromDateTime             sipAPI_QtPurchasing->api_from_datetime
#define sipGetTime                  sipAPI_QtPurchasing->api_get_time
#define sipFromTime                 sipAPI_QtPurchasing->api_from_time
#define sipIsUserType               sipAPI_QtPurchasing->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtPurchasing->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtPurchasing->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtPurchasing->api_unicode_write
#define sipUnicodeData              sipAPI_QtPurchasing->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtPurchasing->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtPurchasing->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtPurchasing->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtPurchasing->api_is_derived_class
#define sipGetUserObject            sipAPI_QtPurchasing->api_get_user_object
#define sipSetUserObject            sipAPI_QtPurchasing->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtPurchasing->api_register_event_handler
#define sipConvertToArray           sipAPI_QtPurchasing->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtPurchasing->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtPurchasing->api_enable_gc
#define sipPrintObject              sipAPI_QtPurchasing->api_print_object
#define sipLong_AsChar              sipAPI_QtPurchasing->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtPurchasing->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtPurchasing->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtPurchasing->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtPurchasing->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtPurchasing->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtPurchasing->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtPurchasing->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtPurchasing->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtPurchasing->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtPurchasing->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtPurchasing->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtPurchasing->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtPurchasing->api_register_exit_notifier
#define sipDeprecated               sipAPI_QtPurchasing->api_deprecated
#define sipPyTypeDictRef            sipAPI_QtPurchasing->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtPurchasing->api_next_exception_handler
#define sipSetNewUserTypeHandler    sipAPI_QtPurchasing->api_set_new_user_type_handler
#define sipGetFrame                 sipAPI_QtPurchasing->api_get_frame
#define sipSetDestroyOnExit         sipAPI_QtPurchasing->api_set_destroy_on_exit
#define sipEnableOverflowChecking   sipAPI_QtPurchasing->api_enable_overflow_checking
#define sipIsAPIEnabled             sipAPI_QtPurchasing->api_is_api_enabled
#define sipClearAnySlotReference    sipAPI_QtPurchasing->api_clear_any_slot_reference
#define sipConnectRx                sipAPI_QtPurchasing->api_connect_rx
#define sipConvertRx                sipAPI_QtPurchasing->api_convert_rx
#define sipDisconnectRx             sipAPI_QtPurchasing->api_disconnect_rx
#define sipFreeSipslot              sipAPI_QtPurchasing->api_free_sipslot
#define sipInvokeSlot               sipAPI_QtPurchasing->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtPurchasing->api_invoke_slot_ex
#define sipSameSlot                 sipAPI_QtPurchasing->api_same_slot
#define sipSaveSlot                 sipAPI_QtPurchasing->api_save_slot
#define sipVisitSlot                sipAPI_QtPurchasing->api_visit_slot
#define sipIsPyMethod               sipAPI_QtPurchasing->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtPurchasing[];

#define sipType_QInAppProduct sipExportedTypes_QtPurchasing[0]

#define sipType_QInAppProduct_ProductType sipExportedTypes_QtPurchasing[1]

extern sipClassTypeDef sipTypeDef_QtPurchasing_QInAppProduct;

#define sipType_QInAppStore sipExportedTypes_QtPurchasing[2]

extern sipClassTypeDef sipTypeDef_QtPurchasing_QInAppStore;

#define sipType_QInAppTransaction sipExportedTypes_QtPurchasing[3]

#define sipType_QInAppTransaction_FailureReason sipExportedTypes_QtPurchasing[4]

#define sipType_QInAppTransaction_TransactionStatus sipExportedTypes_QtPurchasing[5]

extern sipClassTypeDef sipTypeDef_QtPurchasing_QInAppTransaction;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtPurchasing;
extern sipExportedModuleDef sipModuleAPI_QtPurchasing;
extern sipTypeDef *sipExportedTypes_QtPurchasing[];

#define sipType_QObject sipImportedTypes_QtPurchasing_QtCore[4].it_td

#define sipType_QEvent sipImportedTypes_QtPurchasing_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_QtPurchasing_QtCore[6].it_td

#define sipType_QChildEvent sipImportedTypes_QtPurchasing_QtCore[0].it_td

#define sipType_QDateTime sipImportedTypes_QtPurchasing_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_QtPurchasing_QtCore[3].it_td

#define sipType_QString sipImportedTypes_QtPurchasing_QtCore[5].it_td
extern sipImportedTypeDef sipImportedTypes_QtPurchasing_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtPurchasing_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtPurchasing_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtPurchasing_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtPurchasing_qt_metacast;

#endif
